/*
 * Copyright distributed.net 1997-1999 - All Rights Reserved
 * For use in distributed.net projects only.
 * Any other distribution or use of this source violates copyright.
 *
 * Created by Cyrus Patel <cyp@fb14.uni-mainz.de>
*/ 

#ifndef __WIN32PRE_H__
#define __WIN32PRE_H__ "@(#)$Id: w32pre.h,v 1.4.2.2 1999/11/05 19:15:00 cyp Exp $"

#include "w32util.h"

int winGetMyModuleFilename(char *buffer,unsigned int len);

HINSTANCE winGetInstanceHandle(void); /* get the client's instance handle */
int winGetInstanceShowCmd(void); /* get the nCmdShow */
int winGetInstanceArgc(void);    /* argc */
char **winGetInstanceArgv(void); /* argv */
HWND winGetParentWindow(void);
void winSetSSMainVector(int (PASCAL *ssmain)(HINSTANCE,HINSTANCE,LPSTR,int));

/* this is the abstraction layer between WinMain() and realmain() */
int winClientPrelude(HINSTANCE hInstance, HINSTANCE hPrevInstance,
    LPSTR lpszCmdLine, int nCmdShow, int (*realmain)(int argc, char **argv));

#endif /* __WIN32PRE_H__ */
